Summary:	A clone of the Rally X arcade game
Name:		xrally
Version:	1.1
Release:	5mdk

URL:		http://linuxgames.com/xrally/
Source0:	ftp://ftp.linuxgames.com/xrally/%{name}-%{version}.tar.bz2
Source1:	xrally-16.png.bz2
Source2:	xrally-32.png.bz2
Source3:	xrally-48.png.bz2
Source4:	%{name}.menu
Patch0:		xrally-fix-configure-for-RPM_OPT_FLAGS.patch.bz2
Patch1:		xrally-1.1-destdir.patch.bz2
Patch2:		%name-1.1.1.patch.bz2

License:	GPL
Group:		Games/Arcade
BuildRequires:	XFree86-devel xpm-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}

%description
XRally is a clone of the Rally X arcade game.

In Rally X, you control a blue car which has to run through a maze-like level
collecting flags and avoiding colliding with enemy (red) cars. In order to
protect itself, the blue car can discharge clouds of smoke which stun the
enemy cars for a while. The enemy cars can also crash into each other, what
gives you some extra time.

One of the main features of XRally is that it is fully customizable. You can
create custom tilesets and levels and load them at run time, changing the
entire look of the game (you could, for instance, create a water tileset,
using boats instead of cars).

%prep

%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

automake -a
aclocal
autoconf

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d %buildroot/%_iconsdir/mini/
install -d %buildroot/%_iconsdir/large/

bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="xrally"\
title="XRally"\
longtitle="A clone of the Rally X arcade game"\
needs="x11"\
icon="xrally.png"\
section="Amusement/Arcade"
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS README TODO %{name}.lsm
%{_bindir}/%{name}
%{_datadir}/%{name}
%_iconsdir/*.png
%_iconsdir/large/*.png
%_iconsdir/mini/*.png
%{_menudir}/*

%changelog
* Wed May 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1-5mdk
- regenerate Patch0
- add & fix Patch2
- in spec menu

* Fri Nov 16 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1-4mdk
- Add URL tag
- Remove zero-length NEWS %%doc
- Patch1: fix Makefile.am rule to support DESTDIR
- Call automake -a and aclocal in %%prep strage
- move autoconf call to %%prep stage

* Thu Aug 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-3mdk
- Add icons for menu entry

* Mon Jul  2 2001 Pixel <pixel@mandrakesoft.com> 1.1-2mdk
- fix description

* Sun Jan  7 2001 Pixel <pixel@mandrakesoft.com> 1.1-1mdk
- new version

* Mon Nov 27 2000 Pixel <pixel@mandrakesoft.com> 1.0-2mdk
- fix RPM_OPT_FLAGS not used

* Mon Oct 23 2000 Pixel <pixel@mandrakesoft.com> 1.0-1mdk
- new version

* Wed Sep 27 2000 Pixel <pixel@mandrakesoft.com> 1.0-0.pre5.1mdk
- new version

* Fri Sep 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-0.pre3.5mdk
- Fix menu entry

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-0.pre3.4mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.0-0.pre3.3mdk
- rebuild with clean clean_menus

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.0-0.pre3.2mdk
- BM

* Wed Jul 12 2000 Pixel <pixel@mandrakesoft.com> 1.0-0.pre3.1mdk
- new version

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9-4mdk
- Use tmppath macros.
- Use makeinstall macros.

* Wed Mar 29 2000 Pixel <pixel@mandrakesoft.com> 0.9-3mdk
- fix menu (tx2gege)

* Wed Mar 29 2000 Pixel <pixel@mandrakesoft.com> 0.9-2mdk
- add menu

* Thu Mar  9 2000 Pixel <pixel@mandrakesoft.com> 0.9-1mdk
- new version

* Sun Feb 13 2000 Pixel <pixel@mandrakesoft.com> 0.8-1mdk
- initial spec


# end of file
